#!/usr/bin/env python
# -*- coding: UTF-8 -*-

import re

# 查用户自定义IP数据
# 在通用数据库搜索之前调用
# 简单搜索，在自定义IP很多时效率比较低
def ParseUserIP(ip):
	try:
		f=file("userip.txt")
		line=f.readline()
		while line:
			ipexp,address=split(line) #example: 10.1.1.3	十舍113

			#通配符*,?支持，如10.1.1.*, 20?.*.*.*
			if( ipexp.find('*')!=-1 || ipexp.find('?')!=-1 )
				ipexp.replace('.',r'\.')
				ipexp.replace('*',r'.*')
				ipexp.replace('?',r'.')
			if( re.match(ipexp,ip) ):
				return address

			line=f.readline() #next line
		return "" #not found
	except IOError, errinfo:
		print errinfo[1]
		return ""
'''{
		CPoint pt=PtToCharPos(point);
		int nArgs[3]={m_nSessionID, pt.x, pt.y};
		g_pMainWnd->PythonCallback("OnMButtonUp", (long*)nArgs, 3);
}
'''